InvitesServiceImpl (Invite Sent Portlet 1.0.0-SNAPSHOT API)
Date: 2015-11-24

org.gcube.portlets.admin.invitessent.server

## Class InvitesServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.invitessent.server.InvitesServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, InvitesService

      public class InvitesServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements InvitesService

  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TEST_SCOPE`
    `static String` | `TEST_USER`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvitesServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `String` | `getDevelopmentUser()` when packaging test will fail if the user is not set to test.user
    `ArrayList<org.gcube.portal.databook.shared.Invite>` | `getInvites(org.gcube.portal.databook.shared.InviteStatus[] statuses)`
    `void` | `init()`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEST_USER

          public static final String TEST_USER

      See Also:
        Constant Field Values

    - #### TEST_SCOPE

          public static final String TEST_SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InvitesServiceImpl

          public InvitesServiceImpl()

  - ### Method Detail

    - #### init

          public void init()

      Overrides:
        `init` in class `javax.servlet.GenericServlet`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `javax.servlet.GenericServlet`

    - #### getDevelopmentUser

          public String getDevelopmentUser()

      when packaging test will fail if the user is not set to test.user
      Returns:
        .

    - #### getInvites

          public ArrayList<org.gcube.portal.databook.shared.Invite> getInvites(org.gcube.portal.databook.shared.InviteStatus[] statuses)

      Specified by:
        `getInvites` in interface `InvitesService`

Copyright © 2015. All Rights Reserved.